commit:     994102f7de162efddbc447841102165a73ba71e6
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 18:40:46 2015 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 18:40:46 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=994102f7

dev-python/pygobject: Bump version to 3.18.0

Package-Manager: portage-2.2.20.1
Manifest-Sign-Key: 7E8B4D42

 ...gobject-9999.ebuild => pygobject-3.18.0.ebuild} | 31 +++++++++++++---------
 dev-python/pygobject/pygobject-9999.ebuild         | 19 +++++++++----
 2 files changed, 32 insertions(+), 18 deletions(-)

diff --git a/dev-python/pygobject/pygobject-9999.ebuild 
b/dev-python/pygobject/pygobject-3.18.0.ebuild
similarity index 75%
copy from dev-python/pygobject/pygobject-9999.ebuild
copy to dev-python/pygobject/pygobject-3.18.0.ebuild
index d412e94..e5610c2 100644
--- a/dev-python/pygobject/pygobject-9999.ebuild
+++ b/dev-python/pygobject/pygobject-3.18.0.ebuild
@@ -8,20 +8,13 @@ GNOME2_LA_PUNT="yes"
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 
 inherit eutils gnome2 python-r1 virtualx
-if [[ ${PV} = 9999 ]]; then
-       inherit gnome2-live
-fi
 
 DESCRIPTION="GLib's GObject library bindings for Python"
 HOMEPAGE="https://wiki.gnome.org/Projects/PyGObject";
 
 LICENSE="LGPL-2.1+"
 SLOT="3"
-if [[ ${PV} = 9999 ]]; then
-       KEYWORDS=""
-else
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-fi
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
 IUSE="+cairo examples test +threads"
 
 REQUIRED_USE="
@@ -29,14 +22,13 @@ REQUIRED_USE="
        test? ( cairo )
 "
 
-COMMON_DEPEND="
+COMMON_DEPEND="${PYTHON_DEPS}
        >=dev-libs/glib-2.38:2
-       >=dev-libs/gobject-introspection-1.39
+       >=dev-libs/gobject-introspection-1.39:=
        virtual/libffi:=
        cairo? (
                >=dev-python/pycairo-1.10.0[${PYTHON_USEDEP}]
                x11-libs/cairo )
-       ${PYTHON_DEPS}
 "
 DEPEND="${COMMON_DEPEND}
        virtual/pkgconfig
@@ -48,8 +40,12 @@ DEPEND="${COMMON_DEPEND}
                x11-libs/cairo[glib]
                x11-libs/gdk-pixbuf:2[introspection]
                x11-libs/gtk+:3[introspection]
-               x11-libs/pango[introspection] )
+               x11-libs/pango[introspection]
+               !sparc? ( python_targets_python2_7? ( 
dev-python/pyflakes[$(python_gen_usedep python2_7)] ) ) )
 "
+# FIXME: remove "!sparc?" automagic nonsense above when pyflakes is
+# keyworded on sparc, bug #553380
+
 # gnome-base/gnome-common required by eautoreconf
 
 # We now disable introspection support in slot 2 per upstream recommendation
@@ -73,10 +69,19 @@ src_configure() {
        # Hard-enable libffi support since both gobject-introspection and
        # glib-2.29.x rdepend on it anyway
        # docs disabled by upstream default since they are very out of date
-       python_foreach_impl run_in_build_dir \
+       configuring() {
                gnome2_src_configure \
                        $(use_enable cairo) \
                        $(use_enable threads thread)
+
+               # Pyflakes tests work only in python2, bug #516744
+               if use test && [[ ${EPYTHON} != python2.7 ]]; then
+                       sed -e 's/if type pyflakes/if false/' \
+                               -i Makefile || die "sed failed"
+               fi
+       }
+
+       python_foreach_impl run_in_build_dir configuring
 }
 
 src_compile() {

diff --git a/dev-python/pygobject/pygobject-9999.ebuild 
b/dev-python/pygobject/pygobject-9999.ebuild
index d412e94..2ca3519 100644
--- a/dev-python/pygobject/pygobject-9999.ebuild
+++ b/dev-python/pygobject/pygobject-9999.ebuild
@@ -29,14 +29,13 @@ REQUIRED_USE="
        test? ( cairo )
 "
 
-COMMON_DEPEND="
+COMMON_DEPEND="${PYTHON_DEPS}
        >=dev-libs/glib-2.38:2
-       >=dev-libs/gobject-introspection-1.39
+       >=dev-libs/gobject-introspection-1.39:=
        virtual/libffi:=
        cairo? (
                >=dev-python/pycairo-1.10.0[${PYTHON_USEDEP}]
                x11-libs/cairo )
-       ${PYTHON_DEPS}
 "
 DEPEND="${COMMON_DEPEND}
        virtual/pkgconfig
@@ -48,7 +47,8 @@ DEPEND="${COMMON_DEPEND}
                x11-libs/cairo[glib]
                x11-libs/gdk-pixbuf:2[introspection]
                x11-libs/gtk+:3[introspection]
-               x11-libs/pango[introspection] )
+               x11-libs/pango[introspection]
+               !sparc? ( python_targets_python2_7? ( 
dev-python/pyflakes[$(python_gen_usedep python2_7)] ) ) )
 "
 # gnome-base/gnome-common required by eautoreconf
 
@@ -73,10 +73,19 @@ src_configure() {
        # Hard-enable libffi support since both gobject-introspection and
        # glib-2.29.x rdepend on it anyway
        # docs disabled by upstream default since they are very out of date
-       python_foreach_impl run_in_build_dir \
+       configuring() {
                gnome2_src_configure \
                        $(use_enable cairo) \
                        $(use_enable threads thread)
+
+               # Pyflakes tests work only in python2, bug #516744
+               if use test && [[ ${EPYTHON} != python2.7 ]]; then
+                       sed -e 's/if type pyflakes/if false/' \
+                               -i Makefile || die "sed failed"
+               fi
+       }
+
+       python_foreach_impl run_in_build_dir configuring
 }
 
 src_compile() {

Reply via email to